LAST(1)

NAME
last - indicate last logins of users and ttys

SYNOPSIS
last [-n] [-nTx] [-f file] [-H hostsize] [-h host] [-L linesize] [-N namesize] [-t tty] [user ...]

DESCRIPTION
last will list the sessions of specified users, ttys, and hosts, in reverse time order. Each line of output contains the user name, the tty from which the session was conducted, any hostname, the start and stop times for the session, and the duration of the session. If the session is still continuing or was cut short by a crash or shutdown, last will so indicate.

The following options are available:

- n Limits the report to n lines.

-f file
    last reads the file file instead of the default, /var/log/wtmpx or /var/log/wtmp. If the file ends with ‘x’, it is treated as a utmpx(5) format file, else it is treated as a utmp(5) format file. If the file is ``-'', standard input is used.

-H hostsize
    Use the provided hostsize as the width to format the host name field.

-h host
    Host names may be names or internet numbers.

-L linesize
    Use the provided linesize as the width to format the tty field.

-N namesize
    Use the provided namesize as the width to format the login name field.

-n  Print host addresses numerically. This option works only on wtmpx(5) entries, and prints nothing on wtmp(5) entries.

-T  Display better time information, including the year and seconds.

-t tty
    Specify the tty. Tty names may be given fully or abbreviated, for example, “last -t 03” is equivalent to “last -t tty03”.

-x  Assume that the file given is in wtmpx(5) format, even if the filename does not end with an ‘x’. Also useful when reading such format from standard input.

If multiple arguments are given, the information which applies to any of the arguments is printed, e.g., “last root -t console” would list all of “root's” sessions as well as all sessions on the console terminal. If no users, hostnames, or terminals are specified, last prints a record of all logins and logouts.

The pseudo-user reboot logs in at reboots of the system, thus “last reboot” will give an indication of mean time between reboot.

If last is interrupted, it indicates to what date the search has progressed. If interrupted with a quit signal last indicates how far the search has progressed and then continues.

FILES
/var/log/wtmp
    login data base
/var/log/wtmpx
    login data base

SEE ALSO
lastcomm(1), utmp(5), utmpx(5), ac(8), lastlogin(8)

HISTORY
last appeared in 1BSD.